#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBaseWithId.h"
#include "EChallengeType.h"
#include "QuestItem.h"
#include "ChallengesEditorData.generated.h"

USTRUCT(BlueprintType)
struct FChallengesEditorData : public FDBDTableRowBaseWithId
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText TitleStringId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText DescriptionStringId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EChallengeType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsCommunityObjective;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FQuestItem Quest;

	UPROPERTY(EditAnywhere)
	FQuestItem Quests;

public:
	DEADBYDAYLIGHT_API FChallengesEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengesEditorData) { return 0; }
